=== debian/changelog ===
hwloc (2.2.0+dfsg-3) unstable; urgency=medium

  * patches/which_domain: Fix build on kfreebsd-any.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 31 Mar 2020 01:06:41 +0200

hwloc (2.2.0+dfsg-2) unstable; urgency=medium

  * control: Drop valgrind build-dep on x32, it is not actually currently
    available there.
  * patches/thr.h: Fix build on kfreebsd-any.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 31 Mar 2020 00:15:14 +0200

hwloc (2.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: Bug#947912)
    - patches/hurd-mem: Upstreamed.
  * control: Drop mention of mips. Enable libnuma-dev dep on all linux archs.
    Enable valgrind dep on x32.
  * hwloc-nox.install.*: Add missing /usr/sbin/hwloc-dump-hwdata.
  * debian/tests: Instead of tinkering with each script, just make the normal
    make check use the system-provided tools.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Mar 2020 21:39:10 +0200
