## hwloc 2.3.0+dfsg

=== debian/changelog ===
hwloc (2.3.0+dfsg-2) unstable; urgency=medium

  * patches/opencl-1001: opencl: don't warn when clGetPlatformIds() returns
    -1001.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Oct 2020 16:58:46 +0200

hwloc (2.3.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 01 Oct 2020 00:58:21 +0200

hwloc (2.3.0~rc1+dfsg-1) experimental; urgency=medium

  * New upstream rc.
    - patches/thr.h: Upstreamed.
    - patches/which_domain: Upstreamed.
    - tests-patches/use_system_hwloc: Refresh.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 22 Sep 2020 00:56:52 +0200

hwloc (2.2.0+dfsg-4) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Build-dep on dh-exec.
  * hwloc-nox.install*, hwloc.install*: Use dh-exec to simplify files.
  * Move tests patches from patches to tests-patches.
  * watch: Fix watching 2.2 series. Also watch 2.3, in preparation.

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 1.11.3-1, 1.6-1.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.
  * Update standards version to 4.5.0, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 22 Sep 2020 00:53:20 +0200
