=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: hwloc
 Priority: optional
 Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper-compat (= 12), libltdl-dev,
+Build-Depends: debhelper-compat (= 12), dh-exec, libltdl-dev,
   valgrind [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64],
   libcairo2-dev, libx11-dev, libxml2-dev, libxml2-utils, libncurses5-dev,
   libnuma-dev [linux-any],
@@ -12,7 +12,7 @@
   dpkg-dev (>= 1.16)
 Build-Depends-Indep: doxygen-latex, transfig
 Build-Conflicts: autoconf2.13
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Section: libs
 Homepage: https://www.open-mpi.org/projects/hwloc/
 Vcs-Git: https://github.com/open-mpi/hwloc-debian.git
