## hwloc 2.4.0+dfsg

=== debian/changelog ===
hwloc (2.4.0+dfsg-3) unstable; urgency=medium

  * control: Update packaging URL.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 31 Dec 2020 15:21:52 +0100

hwloc (2.4.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 01 Dec 2020 15:51:15 +0100

hwloc (2.4.0+dfsg-1) experimental; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 01 Dec 2020 15:25:56 +0100

hwloc (2.4.0~rc1+dfsg-1) experimental; urgency=medium

  * New upstream pre-release.
    - patches/opencl-1001: Upstreamed.
  * hwloc{-nox,}.docs: Install dynamic_SVG_example.html.
  * not-installed: Note that we don't install .la files and .a versions of
    plugins.
  * hwloc{-nox,}.install: Install the bash completion file.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 23 Nov 2020 18:34:54 +0100
