=== debian/control ===
--- 
+++ 
@@ -15,8 +15,8 @@
 Standards-Version: 4.5.0
 Section: libs
 Homepage: https://www.open-mpi.org/projects/hwloc/
-Vcs-Git: https://github.com/open-mpi/hwloc-debian.git
-Vcs-Browser: https://github.com/open-mpi/hwloc-debian
+Vcs-Git: https://salsa.debian.org/debian/hwloc.git
+Vcs-Browser: https://salsa.debian.org/debian/hwloc
 
 Package: hwloc
 Section: admin
