## hwloc 2.4.1~rc1+dfsg

=== debian/changelog ===
hwloc (2.4.1~rc1+dfsg-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream bugfix release candidate.

  [ Helmut Grohne ]
  * Reduce Build-Depends: (Closes: #981134)
    + Restrict libltdl-dev dependency to !glibc systems as hwloc prefers
      dlopen for glibc.
    + Annotate test dependency libxml2-utils <!nocheck>.

  [ Samuel Thibault ]
  * patches/parallel_dep: Fix parallel build in doc/.
  * rules: At clean time, remove the generated doc, to make sure we rebuild
    it.
  * control: Comment out w3m dependency until we need to regenerated README.

  [ Brice Goglin ]
  * control: Annotate test dependency libnuma-dev <!nocheck>.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 28 Jan 2021 20:27:41 +0100
