=== debian/tests/control ===
Tests: tests
Depends: hwloc-nox | hwloc, libhwloc-dev, libhwloc-plugins,
         dh-autoreconf, libltdl-dev, libxml2-dev, libxml2-utils,
