=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$//,uversionmangle=s/(\d)(rc\d*)$/$1~$2/ \
https://www.open-mpi.org/software/hwloc/v2.3 \
https://download.open-mpi.org/release/hwloc/v2.3/hwloc(?:[_\-]v?|)@ANY_VERSION@@ARCHIVE_EXT@
opts=dversionmangle=s/\+dfsg\d*$//,uversionmangle=s/(\d)(rc\d*)$/$1~$2/ \
https://www.open-mpi.org/software/hwloc/v2.4 \
https://download.open-mpi.org/release/hwloc/v2.4/hwloc(?:[_\-]v?|)@ANY_VERSION@@ARCHIVE_EXT@
