## hwloc 2.4.1~rc2+dfsg

=== debian/changelog ===
hwloc (2.4.1~rc2+dfsg-2) unstable; urgency=medium

  * tests/control: Add now-missing debhelper dependency, fixes dh-autoreconf
    migration.
  * patches/git-update: Update from 2.4 tree.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 09 Feb 2021 00:53:23 +0100

hwloc (2.4.1~rc2+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release candidate.
    - patches/parallel_dep: Upstreamed.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 03 Feb 2021 21:14:23 +0100
