## hwloc 2.4.1~rc3+dfsg

=== debian/changelog ===
hwloc (2.4.1~rc3+dfsg-1build1) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 15:15:44 +0000

hwloc (2.4.1~rc3+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release candidate.
    - patches/git-update: merged.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 11 Feb 2021 10:40:04 +0100
