## hwloc 2.4.1+dfsg

=== debian/changelog ===
hwloc (2.4.1+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 22 Feb 2021 18:21:18 +0100
