=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: hwloc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Samuel Thibault <sthibault@debian.org>
+Maintainer: Samuel Thibault <sthibault@debian.org>
 Build-Depends: debhelper-compat (= 12), dh-exec,
 # libltdl-dev [!gnu-any-any], when lintian stops complaining about it
   valgrind [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64],
