## hwloc 2.5.0+dfsg

=== debian/changelog ===
hwloc (2.5.0+dfsg-2~bpo11+1) bullseye-backports; urgency=medium

  * Backport to bullseye-backports.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 10 Sep 2021 23:28:49 +0200

hwloc (2.5.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 23 Aug 2021 02:02:40 +0200

hwloc (2.5.0+dfsg-1) experimental; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 14 Jun 2021 15:46:31 +0200

hwloc (2.5.0~rc1+dfsg-1) experimental; urgency=medium

  * New upstream rc release.
    - tests-patches/use_system_hwloc: Refresh.
  * control: Set Rules-Requires-Root to no.
  * watch: Watch version 2.5 series.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 08 Jun 2021 11:17:45 +0200
