=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
   dpkg-dev (>= 1.16)
 Build-Depends-Indep: doxygen-latex, transfig
 Build-Conflicts: autoconf2.13
+Rules-Requires-Root: no
 Standards-Version: 4.5.0
 Section: libs
 Homepage: https://www.open-mpi.org/projects/hwloc/
