=== debian/changelog ===
hwloc (2.6.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Backport to bullseye-backports.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 09 Nov 2021 01:14:30 +0100

hwloc (2.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 28 Oct 2021 10:39:26 +0200

hwloc (2.6.0~rc1-2) experimental; urgency=medium

  * tests-patches/use_system_hwloc: Update autopkgtest tweaks.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 13 Oct 2021 18:04:25 +0200

hwloc (2.6.0~rc1-1) experimental; urgency=medium

  * New upstream rc release.
  * control: Add libltdl-dev build-dep on non-glibc ports.
  * watch: Update to 2.6 series.
  * gbp.conf: Use filter to produce orig tarball.
  * libhwloc-doc.lintian-overrides: Update lintian overrides.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 13 Oct 2021 16:55:18 +0200
