## hwloc 2.7.0

=== debian/changelog ===
hwloc (2.7.0-2ubuntu1) jammy; urgency=medium

  * Set ZES_ENABLE_SYSMAN with setenv instead of putenv. When using
    putenv, a constant string was added to environ, and attempting to
    manipulate environ would result in a segmentation fault. (LP: #1968742)
    - d/p/lp1968742-core-levelzero-Set-ZES_ENABLE_SYSMAN-via-setenv.patch

 -- Matthew Ruffell <matthew.ruffell@canonical.com>  Thu, 16 Jun 2022 15:43:13 +1200

hwloc (2.7.0-2) unstable; urgency=medium

  * libhwloc-doc.lintian-overrides: Play cat and mice again with lintian
    warning suppression.
  * control: Bump Standards-Version to 4.6.0 (no change)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 29 Jan 2022 14:34:26 +0100

hwloc (2.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 13 Dec 2021 11:19:01 +0100

hwloc (2.7.0~rc1-1) experimental; urgency=medium

  * New upstream RC release.
  * watch: Watch 2.7 series.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 07 Dec 2021 16:03:53 +0100
