=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: hwloc
 Priority: optional
 Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper-compat (= 12), dh-exec,
-# libltdl-dev [!gnu-any-any], when lintian stops complaining about it
+Build-Depends: debhelper-compat (= 12), dh-exec, libltdl-dev [!gnu-any-any],
   valgrind [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64],
   libcairo2-dev, libx11-dev, libxml2-dev, libxml2-utils <!nocheck>, libncurses5-dev,
   libnuma-dev [linux-any] <!nocheck>,
@@ -15,7 +14,7 @@
 Build-Depends-Indep: doxygen-latex, transfig
 Build-Conflicts: autoconf2.13
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Section: libs
 Homepage: https://www.open-mpi.org/projects/hwloc/
 Vcs-Git: https://salsa.debian.org/debian/hwloc.git
