## hwloc 2.7.0-2ubuntu1%2B11.0trisquel1

=== debian/changelog ===
hwloc (2.7.0-2ubuntu1+11.0trisquel1) aramo; urgency=medium

  * Remove nvidia-settings dependency.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 15 Jul 2022 12:40:44 +0000
