## hwloc 2.7.1

=== debian/changelog ===
hwloc (2.7.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Backport to bullseye-backports.
    - control: Revert from using valgrind-if-available to hardcoding a list.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 29 Mar 2022 13:59:14 +0200

hwloc (2.7.1-1) unstable; urgency=medium

  * New upstream release.
  * control: Use valgrind-if-available instead of hardcoding a list.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 24 Mar 2022 13:34:40 +0100

hwloc (2.7.1~rc1-1) experimental; urgency=medium

  * New upstream RC release.
  * libhwloc-doc.lintian-overrides: Revert change to lintian unstable output.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 21 Mar 2022 10:47:14 +0100
