## hwloc 2.8.0

=== debian/changelog ===
hwloc (2.8.0-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 05 Jul 2022 12:56:04 +0200

hwloc (2.8.0~rc1-1) experimental; urgency=medium

  * New upstream RC release.
    - debian/libhwloc-doc.lintian-overrides: Update overrides.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 29 Jun 2022 15:10:21 +0200
