## hwloc 2.9.0

=== debian/changelog ===
hwloc (2.9.0-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 14 Dec 2022 16:15:43 +0100

hwloc (2.9.0~rc1-1) experimental; urgency=medium

  * New upstream RC release.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 09 Dec 2022 23:42:54 +0100
