## hwloc 2.9.2

=== debian/changelog ===
hwloc (2.9.2-1~bpo12+1) bookworm-backports; urgency=medium

  * Backport to bookworm.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 03 Aug 2023 12:33:00 +0200

hwloc (2.9.2-1) unstable; urgency=medium

  * New upstream release.
  * control: Migrate build-dep from libncurses5-dev to libncurses-dev.
  * control: Generalize pattern to support hurd-amd64.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 28 Jun 2023 11:05:10 +0200
